package MultiCoordinator;
/**
<p>
<ul>
<li> <b>Java Class</b> MultiCoordinator._sk_Coordinator
<li> <b>Source File</b> MultiCoordinator/_sk_Coordinator.java
<li> <b>IDL Absolute Name</b> ::MultiCoordinator::Coordinator
<li> <b>Repository Identifier</b> IDL:MultiCoordinator/Coordinator:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface Coordinator {
      boolean setMaxClients(
        in long arg0
      );
      long getMaxClients();
      long numberOfMembers();
      typedef sequence&ltstring&gt sequence_of_string;
      ::MultiCoordinator::Coordinator::sequence_of_string getClientNames();
      boolean isEmpty();
      long register(
        in long arg0,
        in string arg1,
        in ::Client::ClientControl arg2
      );
      boolean deregister(
        in long arg0
      );
      boolean broadcast(
        in string arg0
      );
      boolean whisper(
        in string arg0,
        in long arg1
      );
    };
</pre>
</p>
*/
abstract public class _sk_Coordinator extends org.omg.CORBA.portable.Skeleton implements MultiCoordinator.Coordinator {
  protected _sk_Coordinator(java.lang.String name) {
    super(name);
  }
  protected _sk_Coordinator() {
    super();
  }
  public java.lang.String[] _ids() {
    return __ids;
  }
  private static java.lang.String[] __ids = {
    "IDL:MultiCoordinator/Coordinator:1.0"
  };
  public org.omg.CORBA.portable.MethodPointer[] _methods() {
    org.omg.CORBA.portable.MethodPointer[] methods = {
      new org.omg.CORBA.portable.MethodPointer("setMaxClients", 0, 0),
      new org.omg.CORBA.portable.MethodPointer("getMaxClients", 0, 1),
      new org.omg.CORBA.portable.MethodPointer("numberOfMembers", 0, 2),
      new org.omg.CORBA.portable.MethodPointer("getClientNames", 0, 3),
      new org.omg.CORBA.portable.MethodPointer("isEmpty", 0, 4),
      new org.omg.CORBA.portable.MethodPointer("register", 0, 5),
      new org.omg.CORBA.portable.MethodPointer("deregister", 0, 6),
      new org.omg.CORBA.portable.MethodPointer("broadcast", 0, 7),
      new org.omg.CORBA.portable.MethodPointer("whisper", 0, 8),
    };
    return methods;
  }
  public boolean _execute(org.omg.CORBA.portable.MethodPointer method, org.omg.CORBA.portable.InputStream input, org.omg.CORBA.portable.OutputStream output) {
    switch(method.interface_id) {
    case 0: {
      return MultiCoordinator._sk_Coordinator._execute(this, method.method_id, input, output); 
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
  public static boolean _execute(MultiCoordinator.Coordinator _self, int _method_id, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.OutputStream _output) {
    switch(_method_id) {
    case 0: {
      int arg0;
      arg0 = _input.read_long();
      boolean _result = _self.setMaxClients(arg0);
      _output.write_boolean(_result);
      return false;
    }
    case 1: {
      int _result = _self.getMaxClients();
      _output.write_long(_result);
      return false;
    }
    case 2: {
      int _result = _self.numberOfMembers();
      _output.write_long(_result);
      return false;
    }
    case 3: {
      java.lang.String[] _result = _self.getClientNames();
      MultiCoordinator.CoordinatorPackage.sequence_of_stringHelper.write(_output, _result);
      return false;
    }
    case 4: {
      boolean _result = _self.isEmpty();
      _output.write_boolean(_result);
      return false;
    }
    case 5: {
      int arg0;
      arg0 = _input.read_long();
      java.lang.String arg1;
      arg1 = _input.read_string();
      Client.ClientControl arg2;
      arg2 = Client.ClientControlHelper.read(_input);
      int _result = _self.register(arg0,arg1,arg2);
      _output.write_long(_result);
      return false;
    }
    case 6: {
      int arg0;
      arg0 = _input.read_long();
      boolean _result = _self.deregister(arg0);
      _output.write_boolean(_result);
      return false;
    }
    case 7: {
      java.lang.String arg0;
      arg0 = _input.read_string();
      boolean _result = _self.broadcast(arg0);
      _output.write_boolean(_result);
      return false;
    }
    case 8: {
      java.lang.String arg0;
      arg0 = _input.read_string();
      int arg1;
      arg1 = _input.read_long();
      boolean _result = _self.whisper(arg0,arg1);
      _output.write_boolean(_result);
      return false;
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
}
