package MultiCoordinator;
/**
<p>
<ul>
<li> <b>Java Class</b> MultiCoordinator._st_Coordinator
<li> <b>Source File</b> MultiCoordinator/_st_Coordinator.java
<li> <b>IDL Absolute Name</b> ::MultiCoordinator::Coordinator
<li> <b>Repository Identifier</b> IDL:MultiCoordinator/Coordinator:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface Coordinator {
      boolean setMaxClients(
        in long arg0
      );
      long getMaxClients();
      long numberOfMembers();
      typedef sequence&ltstring&gt sequence_of_string;
      ::MultiCoordinator::Coordinator::sequence_of_string getClientNames();
      boolean isEmpty();
      long register(
        in long arg0,
        in string arg1,
        in ::Client::ClientControl arg2
      );
      boolean deregister(
        in long arg0
      );
      boolean broadcast(
        in string arg0
      );
      boolean whisper(
        in string arg0,
        in long arg1
      );
    };
</pre>
</p>
*/
public class _st_Coordinator extends org.omg.CORBA.portable.ObjectImpl implements MultiCoordinator.Coordinator {
  public java.lang.String[] _ids() {
    return __ids;
  }
  private static java.lang.String[] __ids = {
    "IDL:MultiCoordinator/Coordinator:1.0"
  };
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::setMaxClients</b>.
  <pre>
    boolean setMaxClients(
      in long arg0
    );
  </pre>
  </p>
  */
  public boolean setMaxClients(
    int arg0
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setMaxClients", true);
      _output.write_long(arg0);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      boolean _result;
      _result = _input.read_boolean();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return setMaxClients(
        arg0
      );
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::getMaxClients</b>.
  <pre>
    long getMaxClients();
  </pre>
  </p>
  */
  public int getMaxClients() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getMaxClients", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      int _result;
      _result = _input.read_long();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getMaxClients();
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::numberOfMembers</b>.
  <pre>
    long numberOfMembers();
  </pre>
  </p>
  */
  public int numberOfMembers() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("numberOfMembers", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      int _result;
      _result = _input.read_long();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return numberOfMembers();
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::getClientNames</b>.
  <pre>
    ::MultiCoordinator::Coordinator::sequence_of_string getClientNames();
  </pre>
  </p>
  */
  public java.lang.String[] getClientNames() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getClientNames", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      java.lang.String[] _result;
      _result = MultiCoordinator.CoordinatorPackage.sequence_of_stringHelper.read(_input);
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getClientNames();
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::isEmpty</b>.
  <pre>
    boolean isEmpty();
  </pre>
  </p>
  */
  public boolean isEmpty() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("isEmpty", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      boolean _result;
      _result = _input.read_boolean();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return isEmpty();
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::register</b>.
  <pre>
    long register(
      in long arg0,
      in string arg1,
      in ::Client::ClientControl arg2
    );
  </pre>
  </p>
  */
  public int register(
    int arg0,
    java.lang.String arg1,
    Client.ClientControl arg2
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("register", true);
      _output.write_long(arg0);
      _output.write_string(arg1);
      Client.ClientControlHelper.write(_output, arg2);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      int _result;
      _result = _input.read_long();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return register(
        arg0,
        arg1,
        arg2
      );
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::deregister</b>.
  <pre>
    boolean deregister(
      in long arg0
    );
  </pre>
  </p>
  */
  public boolean deregister(
    int arg0
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("deregister", true);
      _output.write_long(arg0);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      boolean _result;
      _result = _input.read_boolean();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return deregister(
        arg0
      );
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::broadcast</b>.
  <pre>
    boolean broadcast(
      in string arg0
    );
  </pre>
  </p>
  */
  public boolean broadcast(
    java.lang.String arg0
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("broadcast", true);
      _output.write_string(arg0);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      boolean _result;
      _result = _input.read_boolean();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return broadcast(
        arg0
      );
    }
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::whisper</b>.
  <pre>
    boolean whisper(
      in string arg0,
      in long arg1
    );
  </pre>
  </p>
  */
  public boolean whisper(
    java.lang.String arg0,
    int arg1
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("whisper", true);
      _output.write_string(arg0);
      _output.write_long(arg1);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      boolean _result;
      _result = _input.read_boolean();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return whisper(
        arg0,
        arg1
      );
    }
  }
}
