package MultiCoordinator;


public interface Coordinator extends org.omg.CORBA.Object {

  boolean setMaxClients(int _maxClients);
  int getMaxClients();
  int numberOfMembers();
  String[] getClientNames();
  boolean isEmpty();
  int register( int clientHashCode, String ClientName,Client.ClientControl clientObjRef);
  boolean deregister(int clientID);
  boolean broadcast(String Message);
  boolean whisper(String Message, int clientID);

}
