package MultiCoordinator;
/**
<p>
<ul>
<li> <b>Java Class</b> MultiCoordinator._example_Coordinator
<li> <b>Source File</b> MultiCoordinator/_example_Coordinator.java
<li> <b>IDL Absolute Name</b> ::MultiCoordinator::Coordinator
<li> <b>Repository Identifier</b> IDL:MultiCoordinator/Coordinator:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface Coordinator {
      boolean setMaxClients(
        in long arg0
      );
      long getMaxClients();
      long numberOfMembers();
      typedef sequence&ltstring&gt sequence_of_string;
      ::MultiCoordinator::Coordinator::sequence_of_string getClientNames();
      boolean isEmpty();
      long register(
        in long arg0,
        in string arg1,
        in ::Client::ClientControl arg2
      );
      boolean deregister(
        in long arg0
      );
      boolean broadcast(
        in string arg0
      );
      boolean whisper(
        in string arg0,
        in long arg1
      );
    };
</pre>
</p>
*/
public class _example_Coordinator extends MultiCoordinator._sk_Coordinator {
  /** Construct a persistently named object. */
  public _example_Coordinator(java.lang.String name) {
    super(name);
  }
  /** Construct a transient object. */
  public _example_Coordinator() {
    super();
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::setMaxClients</b>.
  <pre>
    boolean setMaxClients(
      in long arg0
    );
  </pre>
  </p>
  */
  public boolean setMaxClients(
    int arg0
  ) {
    // implement operation...
    return false;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::getMaxClients</b>.
  <pre>
    long getMaxClients();
  </pre>
  </p>
  */
  public int getMaxClients() {
    // implement operation...
    return 0;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::numberOfMembers</b>.
  <pre>
    long numberOfMembers();
  </pre>
  </p>
  */
  public int numberOfMembers() {
    // implement operation...
    return 0;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::getClientNames</b>.
  <pre>
    ::MultiCoordinator::Coordinator::sequence_of_string getClientNames();
  </pre>
  </p>
  */
  public java.lang.String[] getClientNames() {
    // implement operation...
    return null;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::isEmpty</b>.
  <pre>
    boolean isEmpty();
  </pre>
  </p>
  */
  public boolean isEmpty() {
    // implement operation...
    return false;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::register</b>.
  <pre>
    long register(
      in long arg0,
      in string arg1,
      in ::Client::ClientControl arg2
    );
  </pre>
  </p>
  */
  public int register(
    int arg0,
    java.lang.String arg1,
    Client.ClientControl arg2
  ) {
    // implement operation...
    return 0;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::deregister</b>.
  <pre>
    boolean deregister(
      in long arg0
    );
  </pre>
  </p>
  */
  public boolean deregister(
    int arg0
  ) {
    // implement operation...
    return false;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::broadcast</b>.
  <pre>
    boolean broadcast(
      in string arg0
    );
  </pre>
  </p>
  */
  public boolean broadcast(
    java.lang.String arg0
  ) {
    // implement operation...
    return false;
  }
  /**
  <p>
  Operation: <b>::MultiCoordinator::Coordinator::whisper</b>.
  <pre>
    boolean whisper(
      in string arg0,
      in long arg1
    );
  </pre>
  </p>
  */
  public boolean whisper(
    java.lang.String arg0,
    int arg1
  ) {
    // implement operation...
    return false;
  }
}
