package PartyScheduler;
/**
<p>
<ul>
<li> <b>Java Class</b> PartyScheduler._st_PartyCoordinator
<li> <b>Source File</b> PartyScheduler/_st_PartyCoordinator.java
<li> <b>IDL Absolute Name</b> ::PartyScheduler::PartyCoordinator
<li> <b>Repository Identifier</b> IDL:PartyScheduler/PartyCoordinator:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface PartyCoordinator {
      boolean createParty(
        in string arg0
      );
      long getPartyID(
        in string arg0
      );
      ::MultiCoordinator::Coordinator getPartyHandle(
        in long arg0
      );
    };
</pre>
</p>
*/
public class _st_PartyCoordinator extends org.omg.CORBA.portable.ObjectImpl implements PartyScheduler.PartyCoordinator {
  public java.lang.String[] _ids() {
    return __ids;
  }
  private static java.lang.String[] __ids = {
    "IDL:PartyScheduler/PartyCoordinator:1.0"
  };
  /**
  <p>
  Operation: <b>::PartyScheduler::PartyCoordinator::createParty</b>.
  <pre>
    boolean createParty(
      in string arg0
    );
  </pre>
  </p>
  */
  public boolean createParty(
    java.lang.String arg0
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("createParty", true);
      _output.write_string(arg0);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      boolean _result;
      _result = _input.read_boolean();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return createParty(
        arg0
      );
    }
  }
  /**
  <p>
  Operation: <b>::PartyScheduler::PartyCoordinator::getPartyID</b>.
  <pre>
    long getPartyID(
      in string arg0
    );
  </pre>
  </p>
  */
  public int getPartyID(
    java.lang.String arg0
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getPartyID", true);
      _output.write_string(arg0);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      int _result;
      _result = _input.read_long();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getPartyID(
        arg0
      );
    }
  }
  /**
  <p>
  Operation: <b>::PartyScheduler::PartyCoordinator::getPartyHandle</b>.
  <pre>
    ::MultiCoordinator::Coordinator getPartyHandle(
      in long arg0
    );
  </pre>
  </p>
  */
  public MultiCoordinator.Coordinator getPartyHandle(
    int arg0
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getPartyHandle", true);
      _output.write_long(arg0);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      MultiCoordinator.Coordinator _result;
      _result = MultiCoordinator.CoordinatorHelper.read(_input);
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getPartyHandle(
        arg0
      );
    }
  }
}
