package MultiCoordinator;
/**
<p>
<ul>
<li> <b>Java Class</b> MultiCoordinator.CoordinatorHolder
<li> <b>Source File</b> MultiCoordinator/CoordinatorHolder.java
<li> <b>IDL Absolute Name</b> ::MultiCoordinator::Coordinator
<li> <b>Repository Identifier</b> IDL:MultiCoordinator/Coordinator:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface Coordinator {
      boolean setMaxClients(
        in long arg0
      );
      long getMaxClients();
      long numberOfMembers();
      typedef sequence&ltstring&gt sequence_of_string;
      ::MultiCoordinator::Coordinator::sequence_of_string getClientNames();
      boolean isEmpty();
      long register(
        in long arg0,
        in string arg1,
        in ::Client::ClientControl arg2
      );
      boolean deregister(
        in long arg0
      );
      boolean broadcast(
        in string arg0
      );
      boolean whisper(
        in string arg0,
        in long arg1
      );
    };
</pre>
</p>
*/
final public class CoordinatorHolder implements org.omg.CORBA.portable.Streamable {
  public MultiCoordinator.Coordinator value;
  public CoordinatorHolder() {
  }
  public CoordinatorHolder(MultiCoordinator.Coordinator value) {
    this.value = value;
  }
  public void _read(org.omg.CORBA.portable.InputStream input) {
    value = CoordinatorHelper.read(input);
  }
  public void _write(org.omg.CORBA.portable.OutputStream output) {
    CoordinatorHelper.write(output, value);
  }
  public org.omg.CORBA.TypeCode _type() {
    return CoordinatorHelper.type();
  }
}
