package PartyScheduler;
/**
<p>
<ul>
<li> <b>Java Class</b> PartyScheduler.PartyCoordinatorHelper
<li> <b>Source File</b> PartyScheduler/PartyCoordinatorHelper.java
<li> <b>IDL Absolute Name</b> ::PartyScheduler::PartyCoordinator
<li> <b>Repository Identifier</b> IDL:PartyScheduler/PartyCoordinator:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface PartyCoordinator {
      boolean createParty(
        in string arg0
      );
      long getPartyID(
        in string arg0
      );
      ::MultiCoordinator::Coordinator getPartyHandle(
        in long arg0
      );
    };
</pre>
</p>
*/
abstract public class PartyCoordinatorHelper {
  public static PartyScheduler.PartyCoordinator narrow(org.omg.CORBA.Object object) {
    return narrow(object, false);
  }
  private static PartyScheduler.PartyCoordinator narrow(org.omg.CORBA.Object object, boolean is_a) {
    if(object == null) {
      return null;
    }
    if(object instanceof PartyScheduler.PartyCoordinator) {
      return (PartyScheduler.PartyCoordinator) object;
    }
    if(is_a || object._is_a(id())) {
      PartyScheduler.PartyCoordinator result = new PartyScheduler._st_PartyCoordinator();
      ((org.omg.CORBA.portable.ObjectImpl) result)._set_delegate
        (((org.omg.CORBA.portable.ObjectImpl) object)._get_delegate());
      return result;
    }
    return null;
  }
  public static PartyScheduler.PartyCoordinator bind(org.omg.CORBA.ORB orb) {
    return bind(orb, null, null, null);
  }
  public static PartyScheduler.PartyCoordinator bind(org.omg.CORBA.ORB orb, java.lang.String name) {
    return bind(orb, name, null, null);
  }
  public static PartyScheduler.PartyCoordinator bind(org.omg.CORBA.ORB orb, java.lang.String name, java.lang.String host, org.omg.CORBA.BindOptions options) {
    return narrow(orb.bind(id(), name, host, options), true);
  }
  private static org.omg.CORBA.ORB _orb() {
    return org.omg.CORBA.ORB.init();
  }
  public static PartyScheduler.PartyCoordinator read(org.omg.CORBA.portable.InputStream _input) {
    return PartyScheduler.PartyCoordinatorHelper.narrow(_input.read_Object(), true);
  }
  public static void write(org.omg.CORBA.portable.OutputStream _output, PartyScheduler.PartyCoordinator value) {
    _output.write_Object(value);
  }
  public static void insert(org.omg.CORBA.Any any, PartyScheduler.PartyCoordinator value) {
    org.omg.CORBA.portable.OutputStream output = any.create_output_stream();
    write(output, value);
    any.read_value(output.create_input_stream(), type());
  }
  public static PartyScheduler.PartyCoordinator extract(org.omg.CORBA.Any any) {
    if(!any.type().equal(type())) {
      throw new org.omg.CORBA.BAD_TYPECODE();
    }
    return read(any.create_input_stream());
  }
  private static org.omg.CORBA.TypeCode _type;
  public static org.omg.CORBA.TypeCode type() {
    if(_type == null) {
      _type = _orb().create_interface_tc(id(), "PartyCoordinator");
    }
    return _type;
  }
  public static java.lang.String id() {
    return "IDL:PartyScheduler/PartyCoordinator:1.0";
  }
}
