package PartyScheduler;
/**
<p>
<ul>
<li> <b>Java Class</b> PartyScheduler._tie_PartyCoordinator
<li> <b>Source File</b> PartyScheduler/_tie_PartyCoordinator.java
<li> <b>IDL Absolute Name</b> ::PartyScheduler::PartyCoordinator
<li> <b>Repository Identifier</b> IDL:PartyScheduler/PartyCoordinator:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface PartyCoordinator {
      boolean createParty(
        in string arg0
      );
      long getPartyID(
        in string arg0
      );
      ::MultiCoordinator::Coordinator getPartyHandle(
        in long arg0
      );
    };
</pre>
</p>
*/
public class _tie_PartyCoordinator extends PartyScheduler._sk_PartyCoordinator {
  private PartyScheduler.PartyCoordinatorOperations _delegate;
  public _tie_PartyCoordinator(PartyScheduler.PartyCoordinatorOperations delegate, java.lang.String name) {
    super(name);
    this._delegate = delegate;
  }
  public _tie_PartyCoordinator(PartyScheduler.PartyCoordinatorOperations delegate) {
    this._delegate = delegate;
  }
  public PartyScheduler.PartyCoordinatorOperations _delegate() {
    return this._delegate;
  }
  /**
  <p>
  Operation: <b>::PartyScheduler::PartyCoordinator::createParty</b>.
  <pre>
    boolean createParty(
      in string arg0
    );
  </pre>
  </p>
  */
  public boolean createParty(
    java.lang.String arg0
  ) {
    return this._delegate.createParty(
      arg0
    );
  }
  /**
  <p>
  Operation: <b>::PartyScheduler::PartyCoordinator::getPartyID</b>.
  <pre>
    long getPartyID(
      in string arg0
    );
  </pre>
  </p>
  */
  public int getPartyID(
    java.lang.String arg0
  ) {
    return this._delegate.getPartyID(
      arg0
    );
  }
  /**
  <p>
  Operation: <b>::PartyScheduler::PartyCoordinator::getPartyHandle</b>.
  <pre>
    ::MultiCoordinator::Coordinator getPartyHandle(
      in long arg0
    );
  </pre>
  </p>
  */
  public MultiCoordinator.Coordinator getPartyHandle(
    int arg0
  ) {
    return this._delegate.getPartyHandle(
      arg0
    );
  }
}
