// CoordinatorServer.java

class SchedulerServer
{ static public void main(String[] args)
  {
    try
    { // Initialize the ORB.
      org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();

      // Initialize the BOA.
      org.omg.CORBA.BOA boa = orb.BOA_init();

      // Create the Coordinator object.
      PartyCoordinatorImpl p_coord =
                  new PartyCoordinatorImpl("Scheduler");

      // Export the newly created object.
      boa.obj_is_ready(p_coord);

      // Ready to service requests.
      System.out.println("Scheduler waiting for requests");
      boa.impl_is_ready();
      }
      catch(org.omg.CORBA.SystemException e)
      { System.err.println(e);
      }
   }
}



